function dYfuncvecdt = ODEfun(t,Yfuncvec); 
fsv =Yfuncvec(1);
fs =Yfuncvec(2);
Cv = Yfuncvec(3);
Ca = Yfuncvec(4);
fsa = Yfuncvec(5);
Cp = Yfuncvec(6);
% Explicit equations
kv = 2*10^8;
ksv =6*10^8;
ka = 2*10^8;
kia = 1;
Cso = 5*10^-9;
ksa = 6*10^8;
kp =  1.2*10^9;
kov = 0;
koa = 0.3;
kop = 0.3;
g =   ksa * fsa * Cv + ksv * fsv * Ca;   
h =   -kp * Cv * Ca - kov * Cv;  
m =   kp * Cv * Ca - kop * Cp;  
j =   -Cso * ksv * fsv * Ca - kp * Cv * Ca - koa * Ca; 

% Differential equations
dfsvdt =   kv * fs * Cv - ksv * fsv * Ca;
dfsdt =  -kv*fs*Cv - ka * fs * Ca + kia * fsa + g;
dCvdt =  Cso * (-kv * fs * Cv - ksa * fsa * Cv) + h;
dCadt =   Cso*(-ka * fs * Ca + kia * fsa) + j;
dfsadt =   ka * fs * Ca - kia * fsa - ksa * fsa * Cv;
dCpdt =   Cso * (ksv * fsv * Ca + ksa * fsa * Cv) + m;

dYfuncvecdt=[dfsvdt;dfsdt;dCvdt;dCadt;dfsadt;dCpdt];



